Subject: bug#24439: ispell.el; cutom setting `ispell-library-directory'; patch

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Sep 2016 09:44:30 +0300

> From: Laimonas Vėbra <[email-masked]>
> Date: Fri, 16 Sep 2016 04:35:14 +0300
> 
> Me wrote:
>  > LIBDIR can't be set (without patching source code) to native Windows
>  > path because then it won't find dictionaries either (even from
>  > cygwin).
> 
> Sorry, that is not true (mistakenly thought, that fopen won't work with 
> windows paths). Then i should really rebuild ispell with LIBDIR set to 
> native path and it will work with Emacs.

I think you don't even need that.  You need to set ISPELL_DICTDIR in
the environment to point to that directory.

(The reason I didn't suggest this earlier is that I didn't know Cygwin
can fopen Windows-style absolute file names.)